Package org.apache.lucene.analysis.tokenattributes

## Class SentenceAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.SentenceAttributeImpl

- All Implemented Interfaces:
    `Cloneable`, `SentenceAttribute`, `Attribute`

      public class SentenceAttributeImpl
      extends AttributeImpl
      implements SentenceAttribute

  Default implementation of `SentenceAttribute`.

  The current implementation is coincidentally identical to `FlagsAttributeImpl` It was decided to keep it separate because this attribute will NOT be an implied bitmap. Also, this class may hold other sentence specific data in the future.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SentenceAttributeImpl()` | Initialize this attribute to default

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` | Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo​(AttributeImpl target)` | Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals​(Object other)` |
    `int` | `getSentenceIndex()` | Get the sentence index for the current token
    `int` | `hashCode()` |
    `void` | `reflectWith​(AttributeReflector reflector)` | This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
    `void` | `setSentenceIndex​(int sentence)` | Set the sentence of the current token

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, end, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SentenceAttributeImpl

          public SentenceAttributeImpl()

      Initialize this attribute to default

  - ### Method Detail

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### copyTo

          public void copyTo​(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### reflectWith

          public void reflectWith​(AttributeReflector reflector)

      Description copied from class: `AttributeImpl`
      This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.

      Implementations look like this (e.g. for a combined attribute implementation):

             public void reflectWith(AttributeReflector reflector) {
               reflector.reflect(CharTermAttribute.class, "term", term());
               reflector.reflect(PositionIncrementAttribute.class, "positionIncrement", getPositionIncrement());
             }

      If you implement this method, make sure that for each invocation, the same set of `Attribute` interfaces and keys are passed to `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` in the same order, but possibly different values. So don't automatically exclude e.g. `null` properties!

      Specified by:
        `reflectWith` in class `AttributeImpl`
      See Also:
        `AttributeImpl.reflectAsString(boolean)`

    - #### getSentenceIndex

          public int getSentenceIndex()

      Description copied from interface: `SentenceAttribute`
      Get the sentence index for the current token
      Specified by:
        `getSentenceIndex` in interface `SentenceAttribute`
      Returns:
        The index of the sentence
      See Also:
        `SentenceAttribute.getSentenceIndex()`

    - #### setSentenceIndex

          public void setSentenceIndex​(int sentence)

      Description copied from interface: `SentenceAttribute`
      Set the sentence of the current token
      Specified by:
        `setSentenceIndex` in interface `SentenceAttribute`
      See Also:
        `SentenceAttribute.setSentenceIndex(int sentenceIndex)`